Bug 1731664 - [abrt] d-feet: __treeview_row_activated_cb(): introspection.py:114:__treeview_row_activated_cb:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: Access denied (9)
Summary: [abrt] d-feet: __treeview_row_activated_cb(): introspection.py:114:__treeview...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: d-feet
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3072a33db3f1719d411167cfa27...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-20 21:37 UTC by Adrien Bustany
Modified: 2020-05-26 16:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:15:24 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.24 KB, text/plain)
2019-07-20 21:37 UTC, Adrien Bustany
no flags Details
File: cgroup (331 bytes, text/plain)
2019-07-20 21:37 UTC, Adrien Bustany
no flags Details
File: cpuinfo (1.86 KB, text/plain)
2019-07-20 21:37 UTC, Adrien Bustany
no flags Details
File: environ (5.60 KB, text/plain)
2019-07-20 21:37 UTC, Adrien Bustany
no flags Details
File: mountinfo (3.83 KB, text/plain)
2019-07-20 21:37 UTC, Adrien Bustany
no flags Details
File: namespaces (129 bytes, text/plain)
2019-07-20 21:37 UTC, Adrien Bustany
no flags Details
File: open_fds (1.50 KB, text/plain)
2019-07-20 21:37 UTC, Adrien Bustany
no flags Details

Description Adrien Bustany 2019-07-20 21:37:21 UTC
Description of problem:
Tried to read the Description property of a Location source in Geoclue2

Version-Release number of selected component:
d-feet-0.3.14-3.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        /usr/bin/python3 /usr/bin/d-feet
crash_function: __treeview_row_activated_cb
exception_type: gi.repository.GLib.GError
executable:     /usr/bin/d-feet
interpreter:    python3-3.7.3-3.fc30.x86_64
kernel:         5.1.16-300.fc30.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
introspection.py:114:__treeview_row_activated_cb:gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: Access denied (9)

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/dfeet/introspection.py", line 114, in __treeview_row_activated_cb
    result = proxy.call_sync("Get", args, 0, -1, None)
gi.repository.GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied: Access denied (9)

Local variables in innermost frame:
self: <dfeet.introspection.AddressInfo object at 0x7ffab084ecc0>
treeview: <Gtk.TreeView object at 0x7ffab026e678 (GtkTreeView at 0x55587daee3c0)>
path: <Gtk.TreePath object at 0x7ffab026b528 (GtkTreePath at 0x55587d85ab50)>
view_column: <Gtk.TreeViewColumn object at 0x7ffab04953f0 (GtkTreeViewColumn at 0x55587cd48420)>
model: <Gtk.TreeStore object at 0x7ffab02b03a8 (GtkTreeStore at 0x55587d7d07a0)>
iter_: <Gtk.TreeIter object at 0x7ffab026b4c8 (GtkTreeIter at 0x55587cb10e20)>
obj: String Description (<flags G_DBUS_PROPERTY_INFO_FLAGS_READABLE of type Gio.DBusPropertyInfoFlags>)
proxy: <Gio.DBusProxy object at 0x7ffab04955a0 (GDBusProxy at 0x55587d9ae0e0)>
args: GLib.Variant('(ss)', ('org.freedesktop.GeoClue2.Location', 'Description'))

Comment 1 Adrien Bustany 2019-07-20 21:37:24 UTC
Created attachment 1592319 [details]
File: backtrace

Comment 2 Adrien Bustany 2019-07-20 21:37:25 UTC
Created attachment 1592320 [details]
File: cgroup

Comment 3 Adrien Bustany 2019-07-20 21:37:26 UTC
Created attachment 1592321 [details]
File: cpuinfo

Comment 4 Adrien Bustany 2019-07-20 21:37:27 UTC
Created attachment 1592322 [details]
File: environ

Comment 5 Adrien Bustany 2019-07-20 21:37:29 UTC
Created attachment 1592323 [details]
File: mountinfo

Comment 6 Adrien Bustany 2019-07-20 21:37:30 UTC
Created attachment 1592324 [details]
File: namespaces

Comment 7 Adrien Bustany 2019-07-20 21:37:31 UTC
Created attachment 1592325 [details]
File: open_fds

Comment 8 Ben Cotton 2020-04-30 21:31:11 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2020-05-26 16:15:24 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.